Ubuntu

ec2-ami-tools has hard coded location list

Reported by Scott Moser on 2011-11-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ec2-ami-tools (Ubuntu)
Medium
Scott Moser

Bug Description

ec2-ami-tools has a hard coded list of locations and regions.
This is silly, and makes a new release of the tools required for using something as simple as ec2-upload-bundle.

I've put a patch into the ppa version at lp:~aws-tools-dev/ubuntu/precise/ec2-ami-tools that hopefully addresses this, but test is needed at the moment.

http://bazaar.launchpad.net/~awstools-dev/ubuntu/precise/ec2-ami-tools/precise/view/head:/debian/patches/remove-explicit-regions.patch

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: ec2-ami-tools 1.3.66634-0ubuntu1 [modified: usr/lib/ec2-ami-tools/lib/ec2/amitools/migratebundle.rb]
ProcVersionSignature: Ubuntu 3.1.0-2.3-generic 3.1.0
Uname: Linux 3.1.0-2-generic x86_64
ApportVersion: 1.25-0ubuntu1
Architecture: amd64
Date: Thu Nov 10 11:36:05 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: ec2-ami-tools
UpgradeStatus: Upgraded to precise on 2011-11-07 (3 days ago)

Scott Moser (smoser) wrote :
Scott Moser (smoser) on 2011-11-11
Changed in ec2-ami-tools (Ubuntu):
assignee: nobody → Scott Moser (smoser)
importance: Undecided → Medium
status: New → In Progress
Scott Moser (smoser) wrote :

Forwarded patch to amazon via forums at https://forums.aws.amazon.com/thread.jspa?threadID=79936 .

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ec2-ami-tools - 1.4.0.2-0ubuntu1

---------------
ec2-ami-tools (1.4.0.2-0ubuntu1) precise; urgency=low

  * New upstream release (1.4.0.2)
    - add knowledge of us-west-2
    - help for migrate-bundle now mentions it is deprecated
  * New upstream release (1.4.0.1)
    - bundle commands: adds --no-size-checks flag
    - bundle-vol
      + blacklists several temp, sensitive and swap files
      + add --include param
      + upstream now copies uuid, label, fstype. No more need
        for bundle-vol-copy-fs-info.patch
  * remove-explicit-regions.patch: (LP: #888618)
    remove need for explicit list of regions and locations
  * add debian/test directory with some tests of tools
  * debian/patches: add dep-3 headers to patches
  * bin/* all programs now use a different wrapper script for launching.
    which allows running out of source directory or installed location.
 -- Scott Moser <email address hidden> Wed, 09 Nov 2011 16:48:21 -0500

Changed in ec2-ami-tools (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers